#include <string>

using namespace std;

// The number of recent submissions received to be displayed in the weblog
#define WLOGSIZE 16

const int ERROR_ARGC = 1;       // Wrong number of arguments
const int ERROR_TEAM = 2;       // Unknown team ID
const int ERROR_PROB = 3;       // Unknown problem ID
const int ERROR_LANG = 4;       // Unsupported language
const int ERROR_COPY = 5;       // Can not copy to execute directory
const int ERROR_COMP = 6;       // Can not compile
const int ERROR_FORK = 7;       // Can not fork to execute submission
const int ERROR_DIFF = 8;       // Diff failed (wrong answer)
const int ERROR_PTRC = 9;       // ptrace() returns non-zero
const int ERROR_TLEX = 10;      // Time limit exceeded
const int ERROR_SIGL = 11;      // Child died with a signal (runtime error)

void initlog( string file, string weblogdir );
void log( const char *team, const char *prob, const char *lang, int status );
int  getRunID();

void updateHTML();
void updateStats();
